%define subrel   1
%define version  2.0.2
%define release  %mkrel 9

Name:            k3b
Version:         %{version}
Release:         %{release}
Epoch:           4
License:         GPLv2+
Url:             http://www.k3b.org
Group:           Archiving/Cd burning
Source0:         http://downloads.sourceforge.net/k3b/%{name}-%version.tar.bz2
Patch1:          k3b-2.0.2-git-sox_not_found.diff
Patch3:          k3b-1.69-always-use-growisofs-for-dvd.patch
Patch4:		 k3b-2.0.2-ffmpeg.patch
Summary:         CD-Burner for KDE4
BuildRequires:   kdelibs4-devel
BuildRequires:   libkcddb-devel
BuildRequires:   libdvdread-devel
BuildRequires:   libogg-devel
BuildRequires:   libvorbis-devel
BuildRequires:   libflac++-devel
BuildRequires:   libflac-devel
BuildRequires:   ffmpeg-devel
BuildRequires:   mad-devel
BuildRequires:   libmpcdec-devel
BuildRequires:   sndfile-devel
BuildRequires:   taglib-devel
BuildRequires:   doxygen
BuildRequires:   libsamplerate-devel
BuildRequires:	 musicbrainz-devel
BuildRequires:   polkit-qt-1-devel
%if "%distro_section" == "tainted"
BuildRequires:   lame-devel
%endif
Requires:        cdrecord
Requires:        mkisofs
Requires:        cdrdao
Requires:        sox
Requires:        vcdimager
Requires:        normalize
Requires:        dvd+rw-tools
Requires:        cdparanoia
Requires:        kcm_cddb

%description
K3b is CD-writing software which intends to be feature-rich and
provide an easily usable interface. Features include burning
audio CDs from .WAV and .MP3 audio files, configuring external
programs and configuring devices.

%files -f %{name}.lang
%_kde_bindir/k3b
%_kde_bindir/k3bsetup
%_kde_libdir/kde4/kcm_k3bsetup.so
%_kde_libdir/kde4/kcm_k3boggvorbisencoder.so
%_kde_libdir/kde4/kio_videodvd.so
%_kde_libdir/kde4/k3bffmpegdecoder.so
%_kde_libdir/kde4/k3bflacdecoder.so
%_kde_libdir/kde4/k3bmaddecoder.so
%_kde_libdir/kde4/k3boggvorbisdecoder.so
%_kde_libdir/kde4/k3boggvorbisencoder.so
%_kde_libdir/kde4/k3bmpcdecoder.so
%_kde_libdir/kde4/k3blibsndfiledecoder.so
%_kde_libdir/kde4/k3baudiometainforenamerplugin.so
%_kde_libdir/kde4/k3baudioprojectcddbplugin.so
%_kde_libdir/kde4/k3bexternalencoder.so
%_kde_libdir/kde4/k3bsoxencoder.so
%_kde_libdir/kde4/k3bwavedecoder.so
%_kde_libdir/kde4/kcm_k3bexternalencoder.so
%_kde_libdir/kde4/kcm_k3bsoxencoder.so
%if "%distro_section" == "tainted"
%_kde_libdir/kde4/k3blameencoder.so
%_kde_libdir/kde4/kcm_k3blameencoder.so
%endif
%_kde_datadir/applications/kde4/k3b.desktop
%_kde_datadir/mime/packages/x-k3b.xml
%_kde_appsdir/k3b
%_kde_appsdir/konqsidebartng/virtual_folders/services/videodvd.desktop
%_kde_appsdir/solid/actions/*
%_kde_datadir/kde4/services/ServiceMenus/*.desktop
%_kde_datadir/kde4/services/*.desktop
%_kde_datadir/kde4/servicetypes/k3bplugin.desktop
%_kde_datadir/kde4/services/videodvd.protocol
%_kde_iconsdir/hicolor/*/apps/k3b.*
%_sysconfdir/dbus-1/system.d/org.kde.kcontrol.k3bsetup.conf
%_kde_libdir/kde4/libexec/k3bsetuphelper
%_kde_datadir/polkit-1/actions/org.kde.kcontrol.k3bsetup.policy
%_kde_datadir/dbus-1/system-services/org.kde.kcontrol.k3bsetup.service
#------------------------------------------------

%define libk3b_major 6
%define libk3b %mklibname k3blib %libk3b_major

%package -n %libk3b
Summary: KDE 4 core library
Group: System/Libraries
Obsoletes: %{_lib}k3b4 < 4:1.66.0-1
Obsoletes: %{_lib}k3b6 < 4:1.70.0

%description -n %libk3b
KDE 4 core library.

%files -n %libk3b
%_kde_libdir/libk3blib.so.%{libk3b_major}*

#------------------------------------------------

%define libk3bdevice_major 6
%define libk3bdevice %mklibname k3bdevice %libk3bdevice_major

%package -n %libk3bdevice
Summary: KDE 4 core library
Group: System/Libraries

%description -n %libk3bdevice
KDE 4 core library.

%files -n %libk3bdevice
%_kde_libdir/libk3bdevice.so.%{libk3bdevice_major}*

#------------------------------------------------

%package devel
Group: Development/KDE and Qt
Summary: Development libraries from %name
Requires: %libk3bdevice = %epoch:%version-%release
Requires: %libk3b = %epoch:%version-%release

Obsoletes:       kde4-k3b-devel < 1.95-0.766860.2
Provides:        kde4-k3b-devel

%description devel
Development libraries from %name

%files devel
%_kde_includedir/*.h
%_kde_libdir/libk3blib.so
%_kde_libdir/libk3bdevice.so

#------------------------------------------------

%prep
%setup -q -n %name-%version
%patch1 -p1 -b .sox
%patch3 -p1 -b .dvd
%patch4 -p1 -b .ffmpeg

%build
%cmake_kde4
%make

%install
%{makeinstall_std} -C build
%find_lang --with-html k3b k3b k3bsetup libk3b libk3bdevice kio_videodvd



%changelog
* Thu Dec 26 2013 juancho <juancho> 4:2.0.2-9.1.mga3
+ Revision: 560720
- Added patch to fix bug#10612: K3b 2.0.2 fails to detect sox

* Sat Jan 12 2013 umeabot <umeabot> 4:2.0.2-9.mga3.tainted
+ Revision: 355762
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 4:2.0.2-8.mga3.tainted
+ Revision: 341638
- rebuild for new ffmpeg

  + mikala <mikala>
    - Add requires for kcm_cddb ( needed to configure kcddb)

* Tue Jul 03 2012 fwang <fwang> 4:2.0.2-7.mga3.tainted
+ Revision: 266909
- update file list
- update url
- build lame for tainted

* Tue Jul 03 2012 fwang <fwang> 4:2.0.2-7.mga3
+ Revision: 266877
- update br

* Wed May 30 2012 fwang <fwang> 4:2.0.2-6.mga3
+ Revision: 249713
- turn to use gentoo patch
- use correct scope
- more patch
- rebuild for new ffmpeg

* Thu Dec 22 2011 juancho <juancho> 4:2.0.2-5.mga2
+ Revision: 185604
- Removed just added lame .so's as they are only added when compiling against ffmpeg from tainted which pulls in liblame also from tainted.
- Removed remaining BuildRoot stuff
- Removed useless defattr stuff
- Fixed build by adding missing so's of lameencoder in %%files

* Fri Oct 07 2011 fwang <fwang> 4:2.0.2-4.mga2
+ Revision: 152586
- drop empty section

  + juancho <juancho>
    - Increase mkrel.
    - Added Requires for cdparanoia (bug: 2417)

* Fri Jun 24 2011 fwang <fwang> 4:2.0.2-3.mga2
+ Revision: 113192
- correct compile fix
- fix build with ffmpeg 0.8
- br musicbrainz
- rebuild for new ffmpeg

  + mikala <mikala>
    - Remove BuildRoot

* Mon Feb 07 2011 ahmad <ahmad> 4:2.0.2-2.mga1
+ Revision: 48149
- drop old provides/obsoletes/conflicts
- imported package k3b

